<?php
//<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
//sigurnost:
if (!defined('SIGURICA')) die('Nedozvoljen pristup!');
if ($prava_pristup_admin!=1) die('Nedozvoljen pristup!');

// list expected fields
$expected = array('q_power_user','q_limit_user','q_pristup_admin','q_pristup_vijesti',
					'q_vijesti_kat','q_pristup_upload','q_upload_kat','q_pristup_sadrzaj',
					'q_rubrika_uredi','q_kategorija_uredi','q_kategorija_dodaj','q_stranica_dodaj','q_paragraf_php',
				 	'admin_id');
// set required fields
$required = array('admin_id');
// create empty array for any missing fields
$missing = array();

// process the $_POST variables
foreach ($_POST as $key => $value) {
	// assign to temporary variable and strip whitespace if not an array
	$temp = is_array($value) ? $value : trim($value);
	// if empty and required, add to $missing array
	if (empty($temp) && in_array($key, $required)) {
		array_push($missing, $key);
	}
	// otherwise, assign to a variable of the same name as $key
	elseif (in_array($key, $expected)) {
		//${$key} = $temp;
		${$key} = mysql_real_escape_string($temp);
	}
}
$error='';
$uspjeh='';

$sql99 = "select username from b7_user where id='$admin_id'";
$rez99=mysql_query($sql99,$conn);
if ($rez99) $num99=mysql_num_rows($rez99);
if ($num99==1) {
	$row99=mysql_fetch_array($rez99);
	$username=$row99[0];
} else {
	$missing = array();	
}

if (empty($missing))  {		
	$result = mysql_query("update  b7_users_prava set
					power_user='$q_power_user',
					limit_user='$q_limit_user',
					pristup_admin='$q_pristup_admin',
					pristup_vijesti='$q_pristup_vijesti',
					vijesti_kat='$q_vijesti_kat',
					pristup_upload='$q_pristup_upload',
					upload_kat='$q_upload_kat',
					pristup_sadrzaj='$q_pristup_sadrzaj',
					rubrika_uredi='$q_rubrika_uredi',
					kategorija_uredi='$q_kategorija_uredi',
					kategorija_dodaj='$q_kategorija_dodaj',                        
					stranica_dodaj='$q_stranica_dodaj',
					paragraf_php='$q_paragraf_php'
					where id='$admin_id'");
					
	if (!$result) {
		$error.='Dogodila se greška pri zapisu u bazu: '.mysql_error();
	} else {
		$uspjeh.='Uspješno dodan zapis u bazu:<br />';
		$uspjeh.='power_user: '.$q_power_user.'<br />';
		$uspjeh.='limit_user: '.$q_limit_user.'<br />';
		$uspjeh.='pristup_admin: '.$q_pristup_admin.'<br />';
		$uspjeh.='pristup_vijesti: '.$q_pristup_vijesti.'<br />';
		$uspjeh.='vijesti_kat: '.$q_vijesti_kat.'<br />';
		$uspjeh.='pristup_upload: '.$q_pristup_upload.'<br />';
		$uspjeh.='upload_kat: '.$q_upload_kat.'<br />';
		$uspjeh.='pristup_sadrzaj: '.$q_pristup_sadrzaj.'<br />';
		$uspjeh.='rubrika_uredi: '.$q_rubrika_uredi.'<br />';
		$uspjeh.='kategorija_uredi: '.$q_kategorija_uredi.'<br />';
		$uspjeh.='kategorija_dodaj: '.$q_kategorija_dodaj.'<br />';
		$uspjeh.='stranica_dodaj: '.$q_stranica_dodaj.'<br />';
		$uspjeh.='paragraf_php: '.$q_paragraf_php.'<br />';
	}		
} else {
	$error.='U formi nisu ispunjena sva potrebna polja za unos podataka u bazu!';
}
?>
<div id="main_content">
<h1>Spremanje podataka u bazu za korisnika <?php echo $username;?></h1>
<?php
if ($error) echo '<div class="greska">'.$error.'</div>'."\n";
if ($uspjeh) echo '<div class="uspjeh">'.$uspjeh.'</div>'."\n";
?>
<br />
<br />
<a class="gray_normal toggleopacity" href="glavna.php?modul=admin"><img src="slike/action_back.gif" width="16" height="16" alt="" border="0" /> <b>Povratak</b></a>
<br />
<br />
</div>